$Title Sets Definition
$ontext
--------------------------------------------------------------------------------
------------------------------ General Header ----------------------------------
--------------------------------------------------------------------------------
         Hybrid Top-down Computable General Equilibrium and Bottom-up Electricity Expansion Model
         Renato Rodrigues
         Instituto de Investigacin Tecnolgica
         Date: 26, may, 2011
--------------------------------------------------------------------------------
--------------------------- End of General Header ------------------------------
--------------------------------------------------------------------------------
$offtext

*-------------------------------------------------------------------------------
*--------------------------------- Defining Sets -------------------------------
*-------------------------------------------------------------------------------
SETS
sam      SAM accounts    / Manufactures, Coal, Oil-Nuclear, Gas, Electricity, Transport, Other_Services, Labor, Capital, Social_Contributions, Production_Taxes, Product_Tax, CO2_Payments, Households, Government, Saves-Investments, Exports, Imports /
t        tech            / Nuc, NCoal, ICoal, CCGT, F-G, Hyd_Res, Hyd_RoR, Wind, ORSR, NRSR, Pump /
f        fuel            / NA, Enriched_Uranium, Coal, Natural_Gas, Fuel-oil /
pollut   pollutants      / PM10, SOx, CO2, NOx, CH4, N2O, CO, SF6, VOC, NH3, HFC, PFC/
co2e_pollut(pollut)      / CO2, CH4, N2O, SF6, HFC, PFC /
acid_pollut(pollut)      / SOx, NOx, NH3 /
act      electricity activities  / TDeO, GEN /
g(sam)   goods           / Manufactures, Coal, Oil-Nuclear, Gas, Electricity, Transport, Other_Services /
gne(g)   non electricity goods / Manufactures, Coal, Oil-Nuclear, Gas, Transport, Other_Services /
pf(sam)  production factors / Labor, Capital /
tx(sam)  taxes           / Social_Contributions, Production_Taxes, Product_Tax, CO2_Payments /
i(sam)   institutions    / Households, Government /
ey(y)    execution year

p1(p)    first period

* Demand response
app                      appliances                      / Non_manageable, Washing_machine, Dishwasher, Dryer, Water_heating, Heating, Air_conditioner /
app_displ(app)           load displaceable appliances    / Washing_machine, Dishwasher, Dryer /
app_reduc(app)           load reducing appliances        / Water_heating, Heating, Air_conditioner /

iterations               Iterative SAM disaggregation iteration /1*100/
;

p1(p) = YES$(ord(p)=1);

alias (y,y_alias), (g,s,g_alias), (gne,sne,gne_alias,sne_alias), (p,dp,gp,gp_alias), (b,db,gb,gb_alias,b_alias), (i,i2), (pf,pf_alias), (sam,sam_alias), (t,t_alias), (f,f_alias), (month,month_alias),(day,day_alias),(hour,hour_alias), (daytype,daytype_alias), (weekday,weekday_alias), (ey,ey_alias), (p,p_alias), (b,b_alias), (l,l_alias);
alias (eys,eys_alias);
*---------SAM year------------------
set samyear(y) SAM year /2005/;

*---------Tupple sets------------------
SETS
t_f(t,f)         / Nuc.Enriched_Uranium, NCoal.Coal, ICoal.Coal, CCGT.Natural_Gas, F-G.Natural_Gas, F-G.Fuel-oil, Hyd_Res.NA, Hyd_RoR.NA,  Wind.NA, ORSR.NA, NRSR.Natural_Gas, Pump.NA /
thermal_t(t,f)   / Nuc.Enriched_Uranium, NCoal.Coal, ICoal.Coal, CCGT.Natural_Gas, F-G.Natural_Gas, F-G.Fuel-oil, NRSR.Natural_Gas/
emitting_t(t,f)  / NCoal.Coal, ICoal.Coal, CCGT.Natural_Gas, F-G.Natural_Gas, F-G.Fuel-oil, NRSR.Natural_Gas/
renewable_premium_t(t,f) / Wind.NA
*, ORSR.NA
          /

t_not_intermittent(t) / Nuc, NCoal, ICoal, CCGT, F-G, NRSR /
s_f(s,f) / Coal.Coal, Oil-Nuclear.Enriched_Uranium, Oil-Nuclear.Fuel-oil, Gas.Natural_Gas /
t_s(t,s) / Nuc.Oil-Nuclear, NCoal.Coal, ICoal.Coal, CCGT.Gas, F-G.Gas, F-G.Oil-Nuclear, NRSR.Gas  /

ETS_s(s)         ETS sectors     / Manufactures, Coal, Oil-Nuclear, Gas, Electricity /
ETS_sne(s)       ETS non electricity sectors / Manufactures, Coal, Oil-Nuclear, Gas /
;

set execution /BAU,CASE_STUDY,DIFFERENCE,PERCENTAGE_CHANGED/;


